/* *****************************************************

   File:        atmdf1_lib.h
   Description: Basic access to driver functions inside 
                libAcam.a. This library is build by LDDK
   Revision:    0.01 (28 Feb 2002)

   ***************************************************** */


#ifndef ATMDF1_LIB_INC
#define ATMDF1_LIB_INC


unsigned int acam_F1ClearRegister   (int atmd, int val, int reg );  
unsigned int acam_F1SetRegister     (int atmd, int val, int reg );  
unsigned int acam_F1ReadRegister    (int atmd, int reg );
unsigned int acam_F1WriteRegister   (int atmd, int val, int reg);
unsigned int acam_ATMDWriteRegister (int atmd, int val, int reg );
unsigned int acam_ATMDReadRegister  (int atmd, int reg);

unsigned int acam_Burstmode         (int atmd, int enable);
unsigned int acam_Control           (int atmd, int val);
unsigned int acam_Reset             (int atmd);
unsigned int acam_fifostatus        (int atmd);
unsigned int acam_nread             (int atmd);

#endif
