#ifndef ILBM_H
#define ILBM_H
/*

   Copyright  1992-1997 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                         all rights reserved
   $Log: ilbm.h,v $
   Revision 1.1.1.1  1997/07/10 17:43:33  kraemer
    

 * Revision 1.1  1996/01/22  19:05:29  kraemer
 * Initial revision
 *
*/
struct SILBMID {
   char cID[4]; long lLen;
};

struct SILBMBMHD {
   struct SILBMID sID;
   short iWidth, iHeight;
   short ixPos, iyPos;
   unsigned char bBitPlanes, bMasking, bComp, bNull;
   short iTransparentColour;
   unsigned char bxAspect, byAspect;
   short iPageWidth, iPageHeight;
};

struct SILBMCMAP {
   struct SILBMID sID;
   char cPad[96];
};

struct SILBM {
   struct SILBMBMHD sBMHD;
   struct SILBMCMAP sCMAP;
   char *pBody;
   long  lBody;
};

#define ILBM_BMHD 0x00000001
#define ILBM_CMAP 0x00000002
#define ILBM_BODY 0x00000004

#endif
