#ifndef IOATMD_H
#define IOATMD_H
/*
   Definitions for I/O of ATMD listmode data 
   =================================

   Copyright  (C) 2003-2004 M.Kraemer, GSI Darmstadt 
                             all rights reserved   

   $Log: ioatmd.h,v $
   Revision 1.2  2004/07/27 18:03:25  kraemer
   atmd stuff

   Revision 1.1  2003/06/12 11:53:08  kraemer
   *** empty log message ***



*/


#include "u.h"
#include "iofh.h"
#include "iogoosy.h"


#undef WITH_ATMDSHM
#if defined(__linux__)
#define WITH_ATMDSHM
#endif

#if defined(WITH_ATMDSHM)
#include "atmdf1_lib.h"
#include "atmdf1lib.h"
                                      /*  */
struct SIOATMD {
   ATMDF1 sATMD;
   data_t *pData;   
};                           
#endif
                                      /* buffer header (sort of) */
#define IOATMD_HITMAX 8
struct SIOATMDBH {
   unsigned long ulParameters;
   int iFileMode;
   int ivHit[IOATMD_HITMAX];
   struct SIOGOOSYBEH sBEH;           /*  */
};				      				      				      
                                      /* function prototypes */

#endif
