#ifndef IOREV_H
#define IOREV_H
/*
   Definitions for remote event I/O 
   =================================

   Copyright  (C) 1995-2000 M.Kraemer, GSI Darmstadt 
                             all rights reserved   

   $Log: iorev.h,v $
   Revision 1.2  2005/07/08 10:33:03  kraemer
   includes adapted

   Revision 1.1  1999/07/17 16:26:13  kraemer
   *** empty log message ***


*/

#if defined(AMIGA)
#else
#include <in.h>
#include <netdb.h>
#include <sys/socket.h>
#endif


#include "u.h"

#define IOREV_DEBUG      0x80000000   /* general check flag */

                                      /* */
struct SIOREV {
   unsigned long ulFlag;
   char *pcNode;
   int iPort;
   int iSocket;
//   struct hostent sHE;
   int nv, mv;
   void *pv;
};

#define IOREV_CONNECTED 0x00000001
                                      /* function prototypes */
int _iorevClose( struct SIOREV *, unsigned long );
int _iorevFlush( struct SIOREV *, unsigned long );
int _iorevInit ( struct SIOREV *, unsigned long );
int _iorevOpen ( struct SIOREV *, const char *, int, unsigned long );
int _iorevRead ( struct SIOREV *, unsigned long );


#endif
